with open('filmy_2_hlavicka.csv', mode='tr', encoding='utf-8') as soubor:
    # hlavička
    hlavička = next(soubor)
    # zpracuj textový soubor řádku po řádce (ale už bez hlavičkové řádky)
    for řádka in soubor:
        # odstraníme odřádkování na konci načtené řádky
        řádka = řádka.strip()
        # rozdělíme data v řádce na jednotlivé sloupečky
        # ~ pětiprvkový seznam rozbalíme na pět proměnných
        pořadí, název, rok, režisér, tržby = řádka.split(';')
        # výsledek vytiskneme pěkně naformátovaný na terminál
        # ~ ale jenom pro Davida Yatese
        if režisér == 'David Yates':
            print(f'{pořadí}) {název} ({rok})')
            print(f'\tr. {režisér}')
            print(f'\ttržby {tržby}')
